Consent Subscription Old

Modify an existing subscription consent

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
ConsentIDintegerOptional

ID of the consent to be modified

Example: 12
Responses
chevron-right
200

Subscription consent successfully modified

application/json
ErrCodeintegerOptional

Error code. 0 indicates success.

Example: 0
ErrMsgstring · nullableOptional

Error message. Empty or null if no error.

FunctionOkbooleanOptional

Indicates if the function executed correctly

Example: true
RespMsgstringOptionalExample: Consent successfully modified
post
/APIcardProcREST/v1.0.0/ConsentSubscription/Modify
200

Subscription consent successfully modified

Notes

In most cases you may only want to modify a single parameter such as PaymentAdjustDate or OnHold. You can supply a value of -1 or "-1" to any value which you do not want us to alter. The following example shows how to simply remove the hold from ConsentID 21.

{ "ConsentID": 21, "ConsentMods": { "ExpMonth": -1, "ExpYear": -1, "Email": "-1", "Zip": "-1", "RPGUID": "-1", "CustomerRefID": "-1", "ServiceDescrip": "-1", "PaymentAmt": -1, "PaymentAdjustDate": "-1", "OnHold": false } }

Last updated

Was this helpful?